# $Revision: 1.40 $, $Date: 2010/04/11 09:42:28 $
#
# TODO:
#   - review patches: vstreams-cflags.patch, wvstreams-mk.patch
#   - check and/or package files:
#    /etc/uniconf.conf
#    /usr/bin/uni
#    /usr/bin/wsd
#    /usr/bin/wvtestrunner.pl
#    /usr/lib/valgrind/wvstreams.supp
#    /usr/sbin/uniconfd
#    /usr/share/man/man8/uni.8.gz
#    /usr/share/man/man8/uniconfd.8.gz
#    /var/lib/uniconf/uniconfd.ini
#
#
# Conditional build:
%bcond_without	doc	# don't build documentation
%bcond_without	slp	# build without openslp
#
Summary:	A network programming library written in C++
Summary(pl.UTF-8):	Biblioteka programowania sieciowego napisana w C++
Name:		wvstreams
Version:	4.6.1
Release:	1
License:	LGPL
Group:		Libraries
Source0:	http://wvstreams.googlecode.com/files/%{name}-%{version}.tar.gz
# Source0-md5:	2760dac31a43d452a19a3147bfde571c
Patch0:		%{name}-sort.patch
Patch1:		%{name}-cflags.patch
Patch2:		%{name}-mk.patch
Patch3:		%{name}-openssl.patch
URL:		http://alumnit.ca/wiki/index.php?page=WvStreams
BuildRequires:	autoconf
BuildRequires:	automake
%{?with_doc:BuildRequires:	doxygen}
BuildRequires:	libstdc++-devel
%{?with_slp:BuildRequires:	openslp-devel}
BuildRequires:	openssl-devel >= 0.9.7i
Obsoletes:	libwvstreams
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
WvStreams aims to be an efficient, secure, and easy-to-use library for
doing network applications development.

%description -l pl.UTF-8
WvStreams próbuje być wydajną, bezpieczną i łatwą w użyciu biblioteką
do tworzenia aplikacji sieciowych.

%package devel
Summary:	Development files for WvStreams
Summary(pl.UTF-8):	Pliki developerskie dla WvStreams
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	libstdc++-devel
Obsoletes:	libwvstreams-devel

%description devel
WvStreams aims to be an efficient, secure, and easy-to-use library for
doing network applications development. This package contains the
files needed for developing applications which use WvStreams.

%description devel -l pl.UTF-8
WvStreams próbuje być wydajną, bezpieczną i łatwą w użyciu biblioteką
do tworzenia aplikacji sieciowych. Pakiet ten zawiera pliki niezbędne
do tworzenia aplikacji używających WvStreams.

%package static
Summary:	Static wvstreams library
Summary(pl.UTF-8):	Statyczna biblioteka wvstreams
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static wvstreams library.

%description static -l pl.UTF-8
Statyczna wersja biblioteki wvstreams.

%prep
%setup -q
%patch0 -p1
%patch3 -p1

%build
%configure \
	--with%{!?with_slp:out}-openslp \
	--without-vorbis

%{__make} -j1 \
	VPATH=%{_libdir} \
	DEBUG=%{?debug:1}%{!?debug:0} \
	CXX="%{__cxx}" \
	CFLAGS="%{rpmcflags} -fPIC -DDEBUG=0 \$(OSDEFINE)"

%if %{with doc}
%{__make} doxygen
%endif

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc README ChangeLog
%attr(755,root,root) %{_libdir}/lib*.so.*.*

%files devel
%defattr(644,root,root,755)
#%if %{with doc}
#%doc Docs/doxy-html/*
#%endif
%attr(755,root,root) %{_libdir}/lib*.so
%{_includedir}/wvstreams
%{_pkgconfigdir}/*.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/lib*.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: wvstreams.spec,v $
Revision 1.40  2010/04/11 09:42:28  arekm
- up to 4.6.1

Revision 1.39  2010/04/11 06:29:41  arekm
- release 2

Revision 1.38  2009/01/06 13:58:04  wrobell
- ver. 4.5.1

Revision 1.37  2008/07/27 22:59:47  arekm
- release 4

Revision 1.36  2007-02-12 22:09:21  glen
- tabs in preamble

Revision 1.35  2007/02/12 01:06:38  baggins
- converted to UTF-8

Revision 1.34  2006/09/06 21:41:10  sparky
- slp (openslp) bcond and BR

Revision 1.33  2006/09/01 13:13:14  havner
- fix amd64 build
- rel 3

Revision 1.32  2006/08/23 21:14:55  havner
- rel 2 for TH

Revision 1.31  2006/07/31 00:13:48  sparky
- added mk patch

Revision 1.30  2006/07/27 09:57:55  pluto
- build fixed.

Revision 1.29  2006/03/05 13:45:11  sparky
- added new-ssl patch for build with new openssl

Revision 1.28  2006/02/28 23:37:25  glen
- adapterized (killed trailing spaces/tabs)

Revision 1.27  2006/02/27 00:00:08  sparky
- sed 's/-O2//' moved to cflags.patch

Revision 1.26  2006/02/26 21:06:26  sparky
- -O2 after -Os overrides it, fixed

Revision 1.25  2006/01/18 20:25:58  sparky
- added gcc4 patch

Revision 1.24  2006/01/18 14:02:31  sparky
- without doc bcond

Revision 1.23  2005/09/18 14:10:32  areq
- add --without-vorbis

Revision 1.22  2005/08/30 09:02:32  megabajt
- BR: autoconf, automake

Revision 1.21  2005/07/10 15:22:37  djurban
- fixed amd64

Revision 1.20  2005/07/10 15:12:45  djurban
- stbring to ready, since i neeed to have the rebuild with new wvstreams
  will fix amd64 and resend them again when i get back home

Revision 1.19  2005/07/10 10:03:20  djurban
- please let me uncomment it for ca 3h, i need to send this to test and install
  on some machine where i just instlaled pld from mini-iso. this version fixes
  a critical bug that prevents wvdial from supporting usb modems, should go to ac-main
  ASAP, for now sending to test

Revision 1.18  2005/06/17 21:05:42  areq
- 4.0.2 - now build by gcc4

Revision 1.17  2004/10/31 13:31:27  paladine
- spaces->tabs

Revision 1.16  2004/05/31 13:22:27  qboosh
- release 4

Revision 1.15  2004/05/31 13:10:12  qboosh
- make -j1

Revision 1.14  2004/05/31 11:54:52  qboosh
- added missing OSDEFINE to CFLAGS, BR+R libstdc++-devel; release 3

Revision 1.13  2004/03/19 23:46:39  ankry
- massive change: BR openssl-devel >= 0.9.7d

Revision 1.12  2004/01/26 21:45:41  qboosh
- pass optflags, use PIC (needed on alpha and amd64); release 2

Revision 1.11  2003/09/30 20:36:08  eothane
- hmpfh.. openssl 0.9.7c

Revision 1.10  2003/09/30 20:18:36  eothane
- ahh, what the hell: openssl 0.9.7c

Revision 1.9  2003/08/18 08:09:38  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.8  2003/08/12 23:54:17  ankry
- cosmetics

Revision 1.7  2003/07/13 10:51:52  t0tal
- added doxygen to BR, but I don't have time
  to see in what version it's needed.

Revision 1.6  2003/07/05 20:42:39  areq
- add gcc3.patch

Revision 1.5  2003/05/28 13:02:59  malekith
- massive attack: source-md5

Revision 1.4  2003/05/25 06:28:02  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.3  2003/03/22 16:04:19  areq
- add rsapublickey.patch - now builds with openssl >=0.9.7

Revision 1.2  2003/02/13 14:06:58  juandon
- force to use openssl >= 0.9.7, idea by kloczek

Revision 1.1  2002/08/24 17:05:50  misiek
- pld initial release
